Loading...
Searching...
No Matches
Logger::LoggerAppenderStream Class Reference

implements appender writing to an output stream via StreamWriter More...

## Public Member Functions

| constructor (*string name, LoggerLayout layout, StreamWriter writer)
| Creates the object.
StreamWriter | getStreamWriter ()
| Returns the stream writer object.
bool | hasAssignThread ()
| Returns True if assigning a thread for a stream.
| processEventImpl (int type, auto params)
| Processes open, log, and close events with the output stream; all other events are ignored.

## Private Attributes

bool | assignThread
| assign thread for stream
bool | closed = False
| closed flag
StreamWriter | writer
| stream writer

## Detailed Description

implements appender writing to an output stream via StreamWriter

Qore streams are not designed to accept input from multiple threads simultaneously, so writing must be serialized and processed in a dedicated thread

## Member Function Documentation

## constructor()

Logger::LoggerAppenderStream::constructor | ( | *string | name,
|  | LoggerLayout | layout,
|  | StreamWriter | writer )

Creates the object.

Parameters

  name | the name of the appender
  layout | the layout for the appender
  writer | the stream to write to